## ignite vm run

Create a new VM and start it

### Synopsis


Create and start a new VM immediately. The image and kernel are matched by
prefix based on their ID and name. This command accepts all flags used to
create and start a VM. The interactive flag (-i, --interactive) can be
specified to immediately attach to the started VM after creation.

Example usage:
	$ ignite run weaveworks/ignite-ubuntu \
		--kernel weaveworks/ignite-ubuntu \
		--interactive \
		--name my-vm \
		--cpus 2 \
		--memory 2048 \
		--size 10G


```
ignite vm run <image> [flags]
```

### Options

```
  -f, --copy-files strings   Copy files from the host to the created VM
      --cpus int             VM vCPU count, 1 or even numbers between 1 and 32 (default 1)
  -d, --debug                Debug mode, keep container after VM shutdown
  -h, --help                 help for run
  -i, --interactive          Attach to the VM after starting
  -k, --kernel string        Specify a kernel to use. By default this equals the image name
      --kernel-args string   Set the command line for the kernel (default "console=ttyS0 reboot=k panic=1 pci=off ip=dhcp")
      --memory int           VM RAM in MiB (default 512)
  -n, --name string          Specify the name
  -p, --ports strings        Map host ports to VM ports
  -s, --size string          VM filesystem size, for example 5GB or 2048MB (default "4GB")
      --ssh[=<path>]         Enable SSH for the VM. If <path> is given, it will be imported as the public key. If just '--ssh' is specified, a new keypair will be generated. (default is unset, which disables SSH access to the VM)
```

### Options inherited from parent commands

```
  -q, --quiet   The quiet mode allows for machine-parsable output, by printing only IDs
```

### SEE ALSO

* [ignite vm](ignite_vm.md)	 - Manage VMs

###### Auto generated by spf13/cobra on 18-Jun-2019
